Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setCaseSensitive, addDate, setIncludes, setExcludes, addAnd, setFollowSymlinks, setProject, hasSelectors, setDefaultexcludes, createExclude, createPatternSet, setIncludesfile, createInclude, createIncludesFile, createExcludesFile, addPresent, addModified, appendSelector, selectorCount, addContainsRegexp, XsetItems, XsetIgnore, addSize, addDepend, addContains, addFilename, addDepth, addMajority, addNone, selectorElements, addNot, addCustom, addOr, addDifferent, setExcludesfile, addSelector, getSelectors, log, log, log, log, init, execute, reconfigure, perform, bindToOwner, getTaskName, setOwningTarget, setTaskType, setTaskName, getOwningTarget, getTaskType, maybeConfigure, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, clone, getLocation, getProject, getDescription, setDescription, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### @Override public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override public void visitEnd()